Bug 151017 - USB drive disappears when USB zip hooked up
USB drive disappears when USB zip hooked up
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 21:49 EST by DN Dunham
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages associated with this problem (5.38 KB, text/plain)
2005-03-13 21:53 EST, DN Dunham
no flags Details

  None (edit)
Description DN Dunham 2005-03-13 21:49:52 EST
Description of problem:
External hard drive attached via USB dissappears when USB Zip 100
drive is attached to the system. At this time, the system becomes
REALLY slow.

I suspect that this is related to the kernel because of the bus. 
lsusb before this activity reports:
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 107: ID 0d49:7000 Maxtor
Bus 001 Device 001: ID 0000:0000

lsusb during this activity reports (or after the Maxtor is unplugged):
Bus 004 Device 005: ID 059b:0033 Iomega Corp.
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

Since upgrading the kernel, the system successfully seems mount and
display on the desktop items for each of the drives when they are
plugged in alone. The second the other drive is connected, the icons
dissappear until one or the other is removed.

/var/log/messages produces some very interesting traffic during the
time both devices are plugged in.

Version-Release number of selected component (if applicable):
2.6.10-1.770_FC3 #1 i686 athlon i386 GNU/Linux

How reproducible:
Every Time

Steps to Reproduce:
1. attach Maxtor OneTouch usb drive and wait until mounted
2. attach USB Zip 100 drive and watch it go
3. disconnect one or the other.
  
Actual results:
System became slow and hard to use, the link to the maxtor disappeared
off of the desktop until the USB zip drive connection was removed. If
the maxtor connection is removed, the USB drive will become accessible
(with the 770 kernel, the 677 won't produce a desktop icon for the zip
drive)

Expected results:
The Zip drive should have been mounted in parallel with the USB hard
drive.

Additional info:
 The ZIP drive in question is USB powered.
- The Maxtor OneTouch drive can be connected either with USB or
FireWire (which the host system doesn't have)
Comment 1 DN Dunham 2005-03-13 21:53:59 EST
Created attachment 111962 [details]
/var/log/messages associated with this problem

This is an except showing what is going on in /var/log/messages when this
process is underway.
Comment 2 Dave Jones 2005-07-15 16:03:23 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 DN Dunham 2005-09-28 23:20:02 EDT
Updating the kernel didn't help. The system is a dual boot, so I checked it
under Windows to see if the problem existed there as well - it didn't.

I am updating to Fedora Core 4 as I write. Ran into a few snags with it already....
Comment 4 Dave Jones 2006-01-16 17:34:41 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 5 Dave Jones 2006-02-03 01:54:46 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 09:22:24 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.